/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 *
 * PurchaseOrderBasicServiceRemote.java
 */

package org.eu.adapt.demonstrator.bs.manufacturer;

import java.rmi.RemoteException;
import javax.ejb.EJBObject;
import org.eu.adapt.services.demo_1_0.PurchaseOrderBasicService_wsdl.types.PurchaseOrderState;
import org.eu.adapt.services.demo_1_0.PurchaseOrderBasicService_wsdl.types.PurchaseOrderStatus;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_10.ManufacturerPO_xsd.*;

public interface PurchaseOrderBasicServiceRemote extends EJBObject
{
    public String[] getListPurchaseOrders()
        throws RemoteException;

    public PurchaseOrderState getPurchaseOrderState(String purchaseOrderNumber)
        throws RemoteException;

    public boolean getCheckPurchaseOrder(PurchOrdType purchaseOrder)
        throws RemoteException;
    
    public boolean setAddPurchaseOrder(PurchOrdType purchaseOrder)
        throws RemoteException;

    public PurchaseOrderStatus setUpdatePurchaseOrder(String purchaseOrderNumber)
        throws RemoteException;

    public boolean setRemovePurchaseOrder(PurchOrdType purchaseOrder)
        throws RemoteException;
}