/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * LogEventHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.demo;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;
import org.eu.adapt.demonstrator.eb.demo.DemoUserLocal;
import org.eu.adapt.demonstrator.eb.demo.RepositoryLocal;

public interface LogEventHomeLocal extends EJBLocalHome
{
    public LogEventLocal create(DemoUserLocal demoUser, RepositoryLocal repository, String serviceId, int eventId, String eventDescription)
        throws CreateException, EJBException;

    public LogEventLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
