/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * CustomerHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface CustomerHomeLocal extends EJBLocalHome
{
    public CustomerLocal create(String reference, String name)
        throws CreateException, EJBException;

    public CustomerLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
