/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * FinishedGoodsHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface FinishedGoodsHomeLocal extends EJBLocalHome
{
    public FinishedGoodsLocal create(String id, String description)
        throws CreateException, EJBException;

    public FinishedGoodsLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
