/*
 * Copyright (c) 2004, ADAPT project partners (IST-2001-37126).
 * 
 * ProductionLineHomeLocal.java
 */

package org.eu.adapt.demonstrator.eb.manufacturer;

import java.util.Collection;
import javax.ejb.EJBException;
import javax.ejb.CreateException;
import javax.ejb.FinderException;
import javax.ejb.EJBLocalHome;

public interface ProductionLineHomeLocal extends EJBLocalHome
{
    public ProductionLineLocal create(String name, StorehouseLocal storehouse)
        throws CreateException, EJBException;

    public ProductionLineLocal findByPrimaryKey(String primaryKey)
        throws FinderException, EJBException;

    public Collection findAll()
        throws FinderException, EJBException;
}
