/*
 * Copyright (c) 2004, 2005, ADAPT project partners (IST-2001-37126).
 * 
 * Navigation.java
 */

package org.eu.adapt.demonstrator.web;

import java.io.IOException;
import java.io.PrintWriter;

public class Navigation
{
    private static final String LINK_BOX_STYLE  = "style=\"background-color: #388b23\"";
    private static final String LINK_TEXT_STYLE = "style=\"color: white; font-family: Arial, Helvetica, sans-serif; font-size: x-small; font-weight: bold; text-decoration: underline\"";

    public static void generateNavigationHeader(String rootPath, PrintWriter writer)
        throws IOException
    {
        writer.println("<TABLE width=\"870\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\">");
        writer.println("<TR>");
        writer.println("<TD width=\"128\" valign=\"top\">");

        writer.println("<TABLE width=\"100%\" border=\"0\" cellspacing=\"4\" cellpadding=\"4\">");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/demo/SubmitPurchaseOrder.html\">Submit Purchase Order</A></TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/demo/ViewPurchaseOrders.html\">View Purchase Orders</A></TD></TR>");
        writer.println("<TR><TD>&nbsp;</TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/demo/Restock.html\">Restock</A></TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/demo/CheckStock.html\">Check Stock</A></TD></TR>");
        writer.println("<TR><TD>&nbsp;</TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/demo/Setup.html\">Setup Database</A></TD></TR>");
        writer.println("<TR><TD>&nbsp;</TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/manufacturer/Customer.html\">Customer</A></TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/manufacturer/PurchaseOrder.html\">Purchase Order</A></TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/manufacturer/Item.html\">Item</A></TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/manufacturer/FinishedGoods.html\">Finished Goods</A></TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/manufacturer/ProductionLine.html\">Production Line</A></TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/manufacturer/InventoryItem.html\">Inventory Item</A></TD></TR>");
        writer.println("<TR><TD " + LINK_BOX_STYLE + "><A " + LINK_TEXT_STYLE + " href=\"" + rootPath + "/manufacturer/Storehouse.html\">Storehouse</A></TD></TR>");
        writer.println("</TABLE>");

        writer.println("</TD>");
        writer.println("<TD valign=\"top\">");
    }

    public static void generateNavigationFooter(PrintWriter writer)
        throws IOException
    {
        writer.println("</TD>");
        writer.println("</TR>");
        writer.println("</TABLE>");
    }
}