package org.eu.adapt.demonstrator.ws.demo;

import java.rmi.RemoteException;
import javax.xml.rpc.ServiceException;
import javax.xml.rpc.server.ServiceLifecycle;

import org.eu.adapt.demonstrator.web.demo.PurchaseOrder;
import org.eu.adapt.demonstrator.web.demo.PurchaseOrderList;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_08.Configuration_xsd.ConfigurationFaultType;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_08.Configuration_xsd.ConfigurationType;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_10.Manufacturer.CallBack.CallbackFaultType;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_10.Manufacturer.CallBack.CallbackHeaderType;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_10.ManufacturerPO_xsd.SubmitPOFaultType;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_10.ManufacturerSN_xsd.ShipmentNoticeType;
import org.ws_i.www.SampleApplications.SupplyChainManagement._2002_10.Manufacturer_wsdl.WarehouseCallbackPortType;

public class WarehouseCallbackServiceImpl implements WarehouseCallbackPortType, ServiceLifecycle
{
    public WarehouseCallbackServiceImpl()
    {
    }

    public void init(Object context)
        throws ServiceException
    {
    }

    public void destroy()
    {
    }

    public boolean submitSN(ShipmentNoticeType shipmentNotice, ConfigurationType configuration, CallbackHeaderType callbackHeader)
        throws RemoteException, ConfigurationFaultType, CallbackFaultType
    {
        String purchaseOrderNumber = shipmentNotice.getOrderNum();
        String shipmentOrderNumber = shipmentNotice.getShipNum();

        PurchaseOrderList.setPurchaseOrderStatus(purchaseOrderNumber, PurchaseOrder.STATUS_COMPLETE);

        return true;
    }

    public boolean errorPO(SubmitPOFaultType submitPOFault, ConfigurationType configuration, CallbackHeaderType callbackHeader)
        throws RemoteException, ConfigurationFaultType, CallbackFaultType
    {   
        return true;
    }
}
